Package org.springframework.security.cas.web

# Class CasGatewayResolverRequestMatcher

java.lang.Object
org.springframework.security.cas.web.CasGatewayResolverRequestMatcher

All Implemented Interfaces:
  `org.springframework.security.web.util.matcher.RequestMatcher`

public final class CasGatewayResolverRequestMatcher extends Object implements org.springframework.security.web.util.matcher.RequestMatcher
A `RequestMatcher` implementation that delegates the check to an instance of `GatewayResolver`. The request is marked as "gatewayed" using the configured `GatewayResolver` to avoid infinite loop.

Since:
  6.3

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.security.web.util.matcher.RequestMatcher

`org.springframework.security.web.util.matcher.RequestMatcher.MatchResult`

## Constructor Summary

Constructors
Constructor
Description
`CasGatewayResolverRequestMatcher(ServiceProperties serviceProperties)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(jakarta.servlet.http.HttpServletRequest request)`
`void`
`setGatewayStorage(org.apereo.cas.client.authentication.GatewayResolver gatewayStorage)`
Sets the `GatewayResolver` to check if the request was already gatewayed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.web.util.matcher.RequestMatcher

`matcher`

## Constructor Details

### CasGatewayResolverRequestMatcher

public CasGatewayResolverRequestMatcher(ServiceProperties serviceProperties)

## Method Details

### matches

public boolean matches(jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `matches` in interface `org.springframework.security.web.util.matcher.RequestMatcher`

### setGatewayStorage

public void setGatewayStorage(org.apereo.cas.client.authentication.GatewayResolver gatewayStorage)
Sets the `GatewayResolver` to check if the request was already gatewayed. Defaults to `DefaultGatewayResolverImpl`

Parameters:
  `gatewayStorage` - the `GatewayResolver` to use. Cannot be null.